﻿function AddLine(gridView) {
    var selectedRows = GetSelectedRows(gridView);
    var columnsCount = gridView.get_columns().get_length();
    SetNonSelectedRowsBackground(gridView);
    for (var i = selectedRows.get_length() - 1; i >= 0; i--) {
        if (selectedRows.getItem(i) == null) { return; }
        if (gridView._level == 0) {
            if (selectedRows.getItem(i).get_cellByColumnKey("Item") != null) {
                //alert("You clicked " + selectedRows.getItem(i).get_cellByColumnKey("Item").get_value());
                selectedRows.getItem(i).get_element().className = 'gridselectedrow';
            }
        } else {
            if (selectedRows.getItem(i).get_cellByColumnKey("Item") != null) {
                //alert("You clicked " + selectedRows.getItem(i).get_cellByColumnKey("Item").get_value());
                selectedRows.getItem(i).get_element().className = 'gridselectedrow';
            }
        }
    }
}

function SetNonSelectedRowsBackground(gridView) {
    var gridRows = gridView.get_rows();
    var columnsCount = gridView.get_columns().get_length();
    for (var i = 0; i < gridRows.get_length(); i++) {
        if (gridRows.get_row(i).get_cellByColumnKey("Item") != null) {
            //alert(gridRows.get_row(i).get_cellByColumnKey("Item").get_value());
            gridRows.get_row(i).get_element().className = 'gridrow';
        } else {
            //alert(gridRows.get_row(i).get_cellByColumnKey("Item").get_value());
            gridRows.get_row(i).get_element().className = 'gridrow';
        }
    }
}

function GetSelectedRows(gridView) {
    return gridView.get_behaviors().get_selection().get_selectedRows(); // gets the selected rows for the grid view
}

function GetChildGridView(gridView) {
    if (gridView._level == 0)
        AddLine(gridView);

    var rows = gridView.get_rows(); // gets a reference to the container grid's rows
    for (var i = 0; i < rows.get_length(); i++) {
        var childGridView = rows.get_row(i).get_rowIslands()[0]; // gets reference to the child grid view
        if (childGridView) {
            AddLine(childGridView); // adds a line with the current selected row to the DIV element
            GetChildGridView(childGridView);
        }
    }
}

function GetSelectedGridRow() {
    var grid = ig_controls["WebHierarchicalDataGrid1"];
    GetChildGridView(grid.get_gridView());
}
